/**
 * WSIT Build Tools (http://wsitbt.codeplex.com)
 *
 * Copyright (c) 2011 Application Security, Inc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Application Security, Inc.
 */
package com.appsec.maven.wsit;

public final class Callback
{
    /**
     * Optional - Specify an xwss callback handler.
     *
     * @parameter
     */
    private String xwssCallbackHandler;

    /**
     * Optional - Specify a jmac Callback Handler.
     *
     * @parameter
     */
    private String jmacCallbackHandler;

    /**
     * Optional - The username handler to be included in the autogenerated policy.
     *
     * @parameter
     */
    private String usernameHandler;

    /**
     * Optional - The password handler to be included in the autogenerated policy.
     *
     * @parameter
     */
    private String passwordHandler;

    /**
     * Optional - The SAML handler to be included in the autogenerated policy.
     *
     * @parameter samlhandler
     */
    private String samlHandler;

    public String getXwssCallbackHandler()
    {
        return xwssCallbackHandler;
    }

    public String getJmacCallbackHandler()
    {
        return jmacCallbackHandler;
    }

    public String getUsernameHandler()
    {
        return usernameHandler;
    }


    public String getPasswordHandler()
    {
        return passwordHandler;
    }

    public String getSamlHandler()
    {
        return samlHandler;
    }

    public void setXwssCallbackHandler(String xwssCallbackHandler)
    {
        this.xwssCallbackHandler = xwssCallbackHandler;
    }

    public void setJmacCallbackHandler(String jmacCallbackHandler)
    {
        this.jmacCallbackHandler = jmacCallbackHandler;
    }

    public void setUsernameHandler(String usernameHandler)
    {
        this.usernameHandler = usernameHandler;
    }

    public void setPasswordHandler(String passwordHandler)
    {
        this.passwordHandler = passwordHandler;
    }

    public void setSamlHandler(String samlHandler)
    {
        this.samlHandler = samlHandler;
    }
}
